import React, {useEffect} from 'react';
import ReactQuill from "react-quill";
import 'react-quill/dist/quill.snow.css';
import 'react-quill/dist/quill.bubble.css';
import styles from '../index.less'

export interface Props {
  onChange: (value?: any) => void;
  value: any;
  readonly: boolean;
  theme: string;
}

const modules = {
  toolbar: [
    [{'header': [1, 2, false]}, 'bold', 'italic', 'blockquote', 'code-block', 'link'],
    [{'list': 'ordered'}, {'list': 'bullet'}, {'indent': '-1'}, {'indent': '+1'}, 'image','video'],
  ],
};

const formats = [
  'header',
  'bold', 'italic', 'underline', 'strike', 'blockquote', 'code-block',
  'list', 'bullet', 'indent',
  'link', 'image','video'
];

const MyQuill: React.FC<Props> = (props) => {
  const {
    value,
    onChange,
    readonly,
    theme,
  } = props;

  // 双击下载图片
  useEffect(()=>{
    let images = document.querySelectorAll(".ql-container img");
    for (let i = 0; i < images.length; i++) {
      // @ts-ignore
      let url = images[i].src;
      // @ts-ignore
      images[i].ondblclick = function () {
        window.open(url);
      };
    }
  },[value.front])

  return (
    <ReactQuill
      className={styles.customEdit}
      readOnly={readonly}
      theme={theme}
      modules={modules}
      formats={formats}
      value={value}
      onChange={onChange}
    />
  );
};

export default MyQuill;
